QIMA Logo
API Reference

8 categories • 44 endpoints

  • All APIs

    44


  • Parameter
    v1.0.0

    Get countries by continent

    Request

    Query Parameters
    NameTypeLocationRequiredDescription
    continentIdstringpathYesContinent id, get it from API /parameter/v2/continents
    refreshstringqueryNoSet to `false` to use the cached response. Set to `true` to force a fresh lookup.
    Responses

    200
    List of countries for the specified continent returned successfully.

    Content-Type: application/json

    message
    string
    FieldTypeDescription
    messagestring
    FieldTypeDescription
    labelstringDisplaying text of this data
    valuestringValue of this data
    {
      "message": null,
      "content": [
        {
          "label": "Uzbekistan",
          "value": "23424980"
        },
        {
          "label": "Vietnam",
          "value": "23424984"
        }
      ]
    }

    Content-Type: application/json

    GET
    /parameter/v2/continent/{continentId}/countries
    Request samples

    application/json

    {}

    Response samples

    application/json

    { "message": null, "content": [ { "label": "Uzbekistan", "value": "23424980" }, { "label": "Vietnam", "value": "23424984" } ] }